Bug 12551 - map acl inherit is broken
map acl inherit is broken
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-01 14:44 UTC by Volker Lendecke
Modified: 2017-02-13 15:51 UTC (History)
1 user (show)

See Also:


Attachments
Patch for master (1.05 KB, patch)
2017-02-01 15:01 UTC, Volker Lendecke
slow: review+
Details
Patch for 4.6, 4.5 and 4.4 with cherry-pick info (1.28 KB, patch)
2017-02-02 11:17 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2017-02-01 14:44:16 UTC
f85c2a6852a contains an uninitialized read. Patch to follow.
Comment 1 Volker Lendecke 2017-02-01 15:01:25 UTC
Created attachment 12896 [details]
Patch for master
Comment 2 Volker Lendecke 2017-02-02 11:17:33 UTC
Created attachment 12899 [details]
Patch for 4.6, 4.5 and 4.4 with cherry-pick info

Same patch as last attachment that has already seen slow's review.
Comment 3 Volker Lendecke 2017-02-02 11:18:24 UTC
Assigning right away to Karo. If you want an explicit ack beyond slow's on the patch that only has a different commit msg, please tell me so.
Comment 4 Karolin Seeger 2017-02-02 11:44:58 UTC
(In reply to Volker Lendecke from comment #3)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 5 Karolin Seeger 2017-02-13 15:51:23 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!